Name:           salpack
Version:	1.0.12
Release:        1%{?dist}
Summary:        SAL's default settings
BuildArch:	noarch

Group:          System Environment/Base
License:        GPL
Source:		salpack.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       crontabs, util-linux, ntp
Requires:	yum-cron, yum-utils, bash-completion
Requires:	mc, joe

%description
SAL's default system settings.


%prep
%setup -q -n mypack


%build
if [ %{dist} = ".fc6" ]; then
  echo -e ',s/-fX$/-fcX/\nw\nq' | ed etc/yum.repos.d/upjs.repo
else
  echo "New fedora detected: %{dist}"
fi


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cp -arf etc var $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ $1 = 1 ]; then # install
  [ ! -f /var/lock/subsys/yum ] && /etc/init.d/yum start || true
fi


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/cron.d/clock
%config %{_sysconfdir}/pki/rpm-gpg/*
%config(noreplace) %{_sysconfdir}/yum.repos.d/*.repo
#%config(noreplace) %{_sysconfdir}/sysconfig/i18n
%dir %{_sysconfdir}/mrtg
%config(noreplace) %{_sysconfdir}/mrtg/*
%config(noreplace) /var/www/mrtg/index.html


%changelog
